Bug 138235 - xcdroast exits with error: execv error while calling /usr/bin/cdrecord.prodvd (No such file or directory)
xcdroast exits with error: execv error while calling /usr/bin/cdrecord.prodvd...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xcdroast (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
: 147560 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-05 17:45 EST by Heinz Ruffieux
Modified: 2008-05-06 11:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of: xcdroast -d 10 (31.09 KB, text/plain)
2004-11-05 17:48 EST, Heinz Ruffieux
no flags Details

  None (edit)
Description Heinz Ruffieux 2004-11-05 17:45:39 EST
Description of problem:

xcdroast does not allow to write dvd's.

Version-Release number of selected component (if applicable):

xcdroast-0.98a15-6.FC2.1


How reproducible:

- Start xcdroast
- Define files to master
- Master and write on the fly
- Error

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Calling: /usr/lib/xcdroast-0.98/bin/xcdrwrap CDRECORDPRODVD dev=
"/dev/cdrom1" gracetime=10 fs=4096k -v driveropts=burnfree  speed=31
-dao -eject -pad -waiti tsize=1173767s -
                                                                     
                                          
execv error while calling /usr/bin/cdrecord.prodvd (No such file or
directory) 


Expected results:

Should start to write the dvd

Additional info:


Output of xcdroast -d 10 in attachment
Comment 1 Heinz Ruffieux 2004-11-05 17:48:33 EST
Created attachment 106241 [details]
output of: xcdroast -d 10
Comment 2 Kevin Zembower 2005-02-08 09:56:43 EST
I also noticed this problem, using FC3 and X-CD-Roast version 0.98alpha15.

-Kevin
Comment 3 Matthew Miller 2005-04-26 12:34:49 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Andrew Schultz 2005-08-21 01:35:54 EDT
It is still a problem (with FC4).  There's a workaround in bug 147560
Comment 5 Harald Hoyer 2005-08-25 08:43:07 EDT
*** Bug 147560 has been marked as a duplicate of this bug. ***
Comment 6 Christian Iseli 2007-01-22 06:47:45 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 John Gotts 2007-01-28 19:44:52 EST
This bug still exists in Fedora Core 6.
Comment 8 Toshio Kuratomi 2007-01-29 11:27:04 EST
(In reply to comment #7)
> This bug still exists in Fedora Core 6.

Moving bug forward to target FC6
Comment 9 Leonard A. Hickey 2007-08-06 02:03:20 EDT
I also noticed this bug in FC6, I've provided a kludge in
the xcdroast spec file for a workaround allowing cdrecord
to burn the DVD's.  This allows xcdroast to own the file
/usr/bin/cdrecord.prodvd, since xcdroast is the only program
calling for this particular file name that I have noticed.
my current versions of xcdroast and cdrtools are:
cdrtools-2.01.01-33.src.rpm and
xcdroast-0.98a15-12.2.2.src.rpm
The new cdrtools provides support for blu-ray disks, but I
haven't tested this feature personally

Three lines added to xcdroast.spec after line #: 61
#=========================================================
# the following kludge was added to allow DVD writing by Len Hickey
%{__ln_s} %{_bindir}/cdrecord %{buildroot}%{_bindir}/cdrecord.prodvd

Comment 10 Emanuele Santovetti 2008-01-17 09:22:22 EST
I found the same problem with FC7
Emanuele Santovetti
Comment 11 Bug Zapper 2008-04-03 21:52:17 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 11:28:04 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.